borg-version(1)

Name
borg-version - Display the borg client / borg server version

SYNOPSIS

borg [common options] version [options] [REPOSITORY]

DESCRIPTION

This command displays the Borg client version / Borg server version.

If a local repository is given, the client code directly accesses the repository, thus we show the client version also as the server version.

If a remote repository is given (e.g., ssh:), the remote Borg is queried and its version is displayed as the server version.

Examples:

    # local repo (client uses 1.4.0 alpha version)
    $ borg version /mnt/backup
    1.4.0a / 1.4.0a
    # remote repo (client uses 1.4.0 alpha, server uses 1.2.7 release)
    $ borg version ssh://borg@borgbackup:repo
    1.4.0a / 1.2.7

Due to the version tuple format used in Borg client/server negotiation, only a simplified version is displayed (as provided by borg.version.format_version).

There is also borg --version to display a potentially more precise client version.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

REPOSITORY
    repository (used to determine client/server situation)

SEE ALSO

borg-common(1)

Author
The Borg Collective